File: changelog

package info (click to toggle)
slice 1.3.8-14
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 872 kB
  • sloc: ansic: 3,310; perl: 2,263; sh: 869; makefile: 296; yacc: 127
file content (303 lines) | stat: -rw-r--r-- 10,598 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
slice (1.3.8-14) unstable; urgency=medium

  * Update Vcs-* headers for packaging repository moving to Salsa.
  * Drop one-man-team from Maintainer field, set myself personally there
    instead. (Closes: #899691)
  * Declare compliance with Debian Policy 4.1.4.
    + Update debian/copyright format URL to HTTPS.
  * Switch Homepage header to HTTPS. Thanks DUCK for the hint!
  * Drop no more needed Testsuite field from debian/control.
  * Bump debhelper compatibility level to 11.
    + Update versioned build-dependency on debhelper accordingly.
    + Update .gitignore to ignore additional build artefacts.
  * Add (mostly redundant) DEP12 debian/upstream/metadata file.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jun 2018 23:59:12 +0200

slice (1.3.8-13) unstable; urgency=medium

  * Mark ftp://ftp.ossp.org/pkg/tool/slice/ as working again in
    debian/control. It seems that at least Iceweasel can't connect to that
    FTP server, but other FTP clients (e.g. ncftp, uscan) still can.
  * Drop alternative dependency on perl5 and version restriction on perl
    (build-) dependency.
  * Declare compliance with Debian Policy 3.9.8 (no other changes).
  * Switch Vcs-* headers from git:// or http:// to https:// and cgit.
  * Convert debian/copyright to the machine-readable DEP5 format.
  * Update Josip Rodin's e-mail address in debian/copyright. Issue found
    by DUCK.
  * Remove trailing blank line from debian/changelog.
  * Make package DEP8 autopkgtestable.

 -- Axel Beckert <abe@debian.org>  Fri, 06 May 2016 00:02:51 +0200

slice (1.3.8-12) unstable; urgency=low

  * Remove non-used include paths (Closes: #690824)
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency
  * Switch to source format "3.0 (quilt)"
    + Remove quilt build-dependency and quilt usage from debian/rules
  * Revamp debian/rules:
    + Use dh_auto_{configure,build,install,clean}
    + Move dh_installdocs parameter to debian/docs
    + Remove redundant dh_installchangelogs parameter
    + Finally switch to a dh7 style debian/rules file
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fix lintian warning vcs-field-not-canonical
  * Fix dpkg-gencontrol warning "unused substitution variable ${perl:Depends}"
  * Update homepage header to point to web.archive.org's version of the
    Slice homepage.
  * Clean up debian/copyright
    + Mention myself as current maintainer.
    + Update links to external download sources
  * Remove alternative build-dependency on ancient (if ever existent) perl5
  * Apply wrap-and-sort.

 -- Axel Beckert <abe@debian.org>  Tue, 28 May 2013 20:39:17 +0200

slice (1.3.8-11) unstable; urgency=low

  * Enable upstream test suite at build time via dh_auto_test
  * Fix version string in man-page (Closes: #639546)
  * Bump Standards-Version to 3.9.2 (no changes)
  * Remove Felipe Augusto van de Wiel (faw) from Uploaders on his own
    request.
  * Fix the following lintian warnings:
    + debian-rules-missing-recommended-target
    + copyright-refers-to-symlink-license

 -- Axel Beckert <abe@debian.org>  Sun, 18 Dec 2011 18:03:17 +0100

slice (1.3.8-10) unstable; urgency=low

  * Move to collaborative maintenance
  * Bump Standards-Version to 3.8.4
    - Add Vcs-* fields
    - Add Homepage field
    - Added support for DEB_BUILD_OPTIONS=noopt
  * Move over to quilt patch management
    - Added build dependency on quilt
    - Added configure target and target dependencies to debian/rules
    - Added README.source pointing to /usr/share/doc/quilt/README.source
    - Added debian/source/format containing "1.0" to prevent unwanted
      automatic conversion to 3.0 source format.
  * Bump debhelper compatibility to 7
  * Fixed the following Lintian warnings:
    - debhelper-but-no-misc-depends
    - copyright-without-copyright-notice
    - spelling-error-in-manpage (debian/patches/fix-spelling-errors.diff)

 -- Axel Beckert <abe@debian.org>  Thu, 03 Jun 2010 00:34:22 +0200

slice (1.3.8-9) unstable; urgency=low

  * Remove me as Maintainer.

 -- Luk Claes <luk@debian.org>  Wed, 23 Jan 2008 22:28:08 +0000

slice (1.3.8-8) unstable; urgency=medium

  * Fix build process so that everything gets installed (Closes: #390631).

 -- Luk Claes <luk@debian.org>  Mon,  2 Oct 2006 20:21:54 +0200

slice (1.3.8-7) unstable; urgency=low

  * New maintainers.
  * Bumped Standards-Version to 3.7.2.
  * Updated debian/watch to version=3 and new upstream location.
  * Add debian/compat for debhelper 4.
  * Completed debian/copyright.

 -- Luk Claes <luk@debian.org>  Sat, 30 Sep 2006 11:20:39 +0200

slice (1.3.8-6) unstable; urgency=low

  * Output files are opened via IO::File as are input files.
    Closes: Bug#179485  Thanks to Eduard Bloch
  * debian/control:  Old homepage is no more maintained, remove it
    from the description.
  * Bump Standards-Version: 3.6.1 and convert this changelog file
    to UTF-8.

 -- Denis Barbier <barbier@debian.org>  Fri, 12 Sep 2003 22:33:07 +0200

slice (1.3.8-5) unstable; urgency=low

  * Bit::Vector is now a Debian package, so add a Depends and
    Build-Depends-Indep against libbit-vector-perl.
  * Replace Architecture: 'any' by 'all', since slice does no more
    ship compiled modules.
  * There is also no need to depend on perl 5.8  (Closes: #161132)

 -- Denis Barbier <barbier@debian.org>  Tue, 17 Sep 2002 20:53:28 +0200

slice (1.3.8-4) unstable; urgency=low

  * Rebuild with perl 5.8

 -- Denis Barbier <barbier@debian.org>  Sun, 25 Aug 2002 23:40:22 +0200

slice (1.3.8-3) unstable; urgency=low

  * File operations are checked, and slice aborts if an error is detected.

 -- Denis Barbier <barbier@debian.org>  Sun, 21 Apr 2002 00:01:58 +0200

slice (1.3.8-2) unstable; urgency=low

  * Fix -y flag, slice must abort when 's' or 'z' policy is > 2

 -- Denis Barbier <barbier@debian.org>  Fri, 19 Apr 2002 01:24:08 +0200

slice (1.3.8-1) unstable; urgency=low

  * New upstream release.
  * By default, undefined slice sets are now silently ignored.  This can
    be changed through the new -y flag.

 -- Denis Barbier <barbier@debian.org>  Sun, 10 Feb 2002 23:29:25 +0100

slice (1.3.7-1) unstable; urgency=low

  * New maintainer (closes: Bug#119090).
  * Fix detection of Perl modules.
  * Do not include .packlist files in Perl modules.
  * Upgraded to standards version 3.5.6
  * Remove Emacs crap from debian/changelog.

 -- Denis Barbier <barbier@debian.org>  Mon, 17 Dec 2001 22:46:47 +0100

slice (1.3.7-0.1) unstable; urgency=low

  * New upstream version. Fixes the annoying hanging bug.
  * Non-maintainer upload.
  * Updated to Policy 3.2.1
  * Added debhelper to Build-Depends, closes: #69776.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Tue, 29 Aug 2000 03:19:50 +0200

slice (1.3.6-0.1) unstable; urgency=low

  * New upstream version.
  * Non-maintainer upload.
  * Updated to Policy 3.1.1.
  * A couple of small cleanups here and there.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 20 Aug 2000 16:52:04 +0200

slice (1.3.4-3) unstable; urgency=low

  * New maintainer.

 -- Brian Bassett <brianb@debian.org>  Wed,  1 Dec 1999 13:18:08 -0800

slice (1.3.4-2) unstable; urgency=low

  * Re-uploaded with upstream pristine source.  :-)

 -- Anthony Fok <foka@debian.org>  Sat,  9 Oct 1999 14:56:57 -0600

slice (1.3.4-1) unstable; urgency=low

  * New upstream release.
  * [debian/rules]: dh_perl usr/lib/slice/perl/lib, otherwise it can't find
      the perl-5.005-specific libraries.

 -- Anthony Fok <foka@debian.org>  Sat,  2 Oct 1999 08:26:30 -0600

slice (1.3.3-2) unstable; urgency=low

  * [debian/rules]: Removed hacks from previous version (closes: Bug#42627).

 -- Anthony Fok <foka@debian.org>  Wed, 25 Aug 1999 07:03:04 -0600

slice (1.3.3-1) unstable; urgency=low

  * New upstream release.
  * Denis Barbier <barbier@imacs.polytechnique.fr> now maintains
    slice, so his name is now added in debian/control and copyright.

 -- Anthony Fok <foka@debian.org>  Wed,  7 Jul 1999 02:06:45 -0600

slice (1.3.2-4) unstable; urgency=medium

  * Recompiled for perl-5.005.
  * Partially upgraded to standards version 3.0.0:
     - Updated copyright to point to /usr/share/common-licenses
     - FHS-compliance, with the notable exception of the
       /usr/doc/slice -> /usr/share/doc/slice switch.
  * [debian/rules]: Uses dh_perl to generate perl dependency instead of
      hard-coding it in debian/control.  (Thanks Raphaƫl!  :-)
  * [debian/control]: I removed ${shlibs:Depends} by mistake.  Oops!
      Put it back in, and added ${perl:Depends} too.

 -- Anthony Fok <foka@debian.org>  Tue,  6 Jul 1999 02:29:31 -0600

slice (1.3.2-3) unstable; urgency=low

  * Applied typo fixes sent by Richard Braakman <dark@xs4all.nl>
    to the package description, closes: Bug#18949.

 -- Anthony Fok <foka@debian.org>  Thu,  5 Mar 1998 16:52:49 -0700

slice (1.3.2-2) unstable; urgency=low

  * Makefile.in: Added LDLOADLIBS="-lc" to fix the Lintian
    shlib-without-dependency-information warning with Perl so modules.
  * debian/rules: Removed dh_du.

 -- Anthony Fok <foka@debian.org>  Mon,  2 Mar 1998 21:04:34 -0700

slice (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Upgraded to standards version 2.4.0.0 (no changes).
  * Updated copyright file.

 -- Anthony Fok <foka@debian.org>  Thu, 19 Feb 1998 03:43:55 -0700

slice (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Anthony Fok <foka@debian.org>  Tue, 10 Feb 1998 14:51:33 -0700

slice (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * No longer installs /usr/doc/slice/INSTALL.

 -- Anthony Fok <foka@debian.org>  Wed,  7 Jan 1998 17:17:49 -0700

slice (1.2.9-1) unstable; urgency=low

  * New upstream release.
  * Happy New Year 1998!  :)

 -- Anthony Fok <foka@debian.org>  Wed, 31 Dec 1997 17:48:00 -0700

slice (1.2.8-3) unstable; urgency=low

  * Patched Makefile.in to ensure that slice.1 is placed in
    /usr/man/man1 rather than /usr/man.

 -- Anthony Fok <foka@debian.org>  Sat, 27 Dec 1997 22:13:35 -0700

slice (1.2.8-2) unstable; urgency=low

  * Patched ./aclocal.m4 (hence ./configure.in and ./configure) so
    that Perl module versions are correctly compared.  (The idea
    was adopted from wml's ./config/aclocal.m4.)  <grin>  The result
    is to get a private version of IO::File 1.07 installed.  The
    IO::File 1.06021 from perl 5.004.04-3 is slightly outdated
    and /usr/bin/slice refused to run.

 -- Anthony Fok <foka@debian.org>  Sat, 27 Dec 1997 19:23:09 -0700

slice (1.2.8-1) unstable; urgency=low

  * Initial Release.

 -- Anthony Fok <foka@debian.org>  Tue, 23 Dec 1997 03:20:05 -0700